VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::content::library::item::downloadsession::FileTypes::EndpointType Class Reference

The `File.EndpointType` enumerated type defines the types of endpoints used to download the file. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, HTTPS, DIRECT }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static EndpointType[] | GetValues ()
static EndpointType | ValueOf (string name)
## Static Public Attributes
static readonly EndpointType | HTTPS = new EndpointType("HTTPS", Values.HTTPS)
| An https download endpoint.
static readonly EndpointType | DIRECT = new EndpointType("DIRECT", Values.DIRECT)
| A direct download endpoint indicating the location of the file on storage.

## Detailed Description

The `File.EndpointType` enumerated type defines the types of endpoints used to download the file.

## Member Enumeration Documentation

enum vmware::content::library::item::downloadsession::FileTypes::EndpointType::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  HTTPS | An https download endpoint.
  DIRECT | A direct download endpoint indicating the location of the file on storage. The caller is responsible for retrieving the file from the storage location directly.

## Member Function Documentation

Values vmware::content::library::item::downloadsession::FileTypes::EndpointType::GetEnumValue | ( |  | ) | `[inline]`

static EndpointType [] vmware::content::library::item::downloadsession::FileTypes::EndpointType::GetValues | ( |  | ) | `[inline, static]`

bool vmware::content::library::item::downloadsession::FileTypes::EndpointType::IsUnknown | ( |  | ) | `[inline]`

static EndpointType vmware::content::library::item::downloadsession::FileTypes::EndpointType::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly EndpointType vmware::content::library::item::downloadsession::FileTypes::EndpointType::DIRECT = new EndpointType("DIRECT", Values.DIRECT)`[static]`

A direct download endpoint indicating the location of the file on storage.

The caller is responsible for retrieving the file from the storage location directly.

readonly EndpointType vmware::content::library::item::downloadsession::FileTypes::EndpointType::HTTPS = new EndpointType("HTTPS", Values.HTTPS)`[static]`

An https download endpoint.

The documentation for this class was generated from the following file:

- downloadsession/FileTypes.cs